Bug 82159 - No rule to make target `../../../../src/mesa/libmesa.la', needed by `collision'.
Summary: No rule to make target `../../../../src/mesa/libmesa.la', needed by `collision'.
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: x86-64 (AMD64) NetBSD
: medium blocker
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-08-04 23:33 UTC by Vinson Lee
Modified: 2014-08-12 19:33 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2014-08-04 23:33:04 UTC
mesa: 7b1898314709e3e70571c491f7f62745c05e13e1 (master 10.3.0-devel)

$ gmake check
[...]
  CC       collision.o
gmake[7]: *** No rule to make target `../../../../src/mesa/libmesa.la', needed by `collision'.  Stop.
Comment 1 Jason Ekstrand 2014-08-05 00:43:00 UTC
This patch should fix it:

http://lists.freedesktop.org/archives/mesa-dev/2014-August/064813.html
Comment 2 Vinson Lee 2014-08-12 19:33:41 UTC
commit 1d47f67455d76e5b76c935df6d30b1748e81744d
Author: Jason Ekstrand <jason.ekstrand@intel.com>
Date:   Mon Aug 4 16:45:27 2014 -0700

    util/tests/hash_table: Link against libmesautil instead of libmesa
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=82159
    
    Signed-off-by: Jason Ekstrand <jason.ekstrand@intel.com>
    Reviewed-by: Emil Velikov <emil.l.velikov@gmail.com>


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.